%define module	pyzmq
%define name	python-%{module}
%define version 2.1.9
%define release %mkrel 1

Summary:	Python bindings for zeromq
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.tar.gz
License:	LGPLv3+
Group:		Development/Python
Url:		http://github.com/zeromq/pyzmq
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	libzeromq >= %{version}
BuildRequires:	zeromq-devel >= %{version}
BuildRequires:	python-cython
#BuildRequires:	python-nose
BuildRequires:	python-devel
BuildRequires:	python-sphinx, python-matplotlib

%description
This package contains Python bindings for zeromq, a lightweight and
fast messaging implementation.

%prep
%setup -q -n %{module}-%{version}
%__python setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
pushd docs
PYTHONPATH=`dir -d ../build/lib*` make html
popd

# Temporarily disable tests:
#%check
#pushd %{buildroot}%{py_platsitedir}
#nosetests
#popd

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc COPYING* README.rst examples/ docs/build/html/


%changelog
* Tue Aug 30 2011 Lev Givon <lev@mandriva.org> 2.1.9-1mdv2011.0
+ Revision: 697498
- Update to 2.1.9.

* Sun May 15 2011 Lev Givon <lev@mandriva.org> 2.1.7-1
+ Revision: 674734
- Update to 2.1.7.

* Thu Apr 21 2011 Lev Givon <lev@mandriva.org> 2.1.4-1
+ Revision: 656498
- Update to 2.1.4.

* Thu Mar 03 2011 Lev Givon <lev@mandriva.org> 2.1.1-1
+ Revision: 641531
- Update to 2.1.1.

* Mon Feb 07 2011 Lev Givon <lev@mandriva.org> 2.1.1-0.git1ad1d0baa0c0
+ Revision: 636740
- Update to 2.1.1 git revision 1ad1d0baa0c0.
- Update to 2.0.10.1.

* Sun Jan 30 2011 Lev Givon <lev@mandriva.org> 2.0.10_1-1
+ Revision: 634029
- Update to 2.0.10-1.

* Tue Nov 16 2010 Lev Givon <lev@mandriva.org> 2.0.10-2mdv2011.0
+ Revision: 598119
- Bump release to force rebuild.
- Update to 2.0.10.

* Tue Nov 02 2010 Lev Givon <lev@mandriva.org> 2.0.8-1mdv2011.0
+ Revision: 592558
- import python-pyzmq

